Package org.pushingpixels.substance.internal.ui

# Class SubstanceScrollBarUI.SubstanceTrackListener

java.lang.Object
java.awt.event.MouseAdapter
javax.swing.plaf.basic.BasicScrollBarUI.TrackListener
org.pushingpixels.substance.internal.ui.SubstanceScrollBarUI.SubstanceTrackListener

All Implemented Interfaces:
  `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `EventListener`

Enclosing class:
  `SubstanceScrollBarUI`

protected class SubstanceScrollBarUI.SubstanceTrackListener extends BasicScrollBarUI.TrackListener
Track mouse drags. Had to take this one from BasicScrollBarUI since the setValueForm method is private.

## Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicScrollBarUI.TrackListener

`currentMouseX, currentMouseY, offset`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SubstanceTrackListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`mouseDragged(MouseEvent e)`
`void`
`mouseExited(MouseEvent e)`
`void`
`mouseMoved(MouseEvent e)`
`void`
`mousePressed(MouseEvent e)`
`void`
`mouseReleased(MouseEvent e)`

### Methods inherited from class java.awt.event.MouseAdapter

`mouseClicked, mouseEntered, mouseWheelMoved`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceTrackListener

protected SubstanceTrackListener()

## Method Details

### mouseReleased

public void mouseReleased(MouseEvent e)

Specified by:
  `mouseReleased` in interface `MouseListener`
Overrides:
  `mouseReleased` in class `BasicScrollBarUI.TrackListener`

### mousePressed

public void mousePressed(MouseEvent e)

Specified by:
  `mousePressed` in interface `MouseListener`
Overrides:
  `mousePressed` in class `BasicScrollBarUI.TrackListener`

### mouseDragged

public void mouseDragged(MouseEvent e)

Specified by:
  `mouseDragged` in interface `MouseMotionListener`
Overrides:
  `mouseDragged` in class `BasicScrollBarUI.TrackListener`

### mouseMoved

public void mouseMoved(MouseEvent e)

Specified by:
  `mouseMoved` in interface `MouseMotionListener`
Overrides:
  `mouseMoved` in class `BasicScrollBarUI.TrackListener`

### mouseExited

public void mouseExited(MouseEvent e)

Specified by:
  `mouseExited` in interface `MouseListener`
Overrides:
  `mouseExited` in class `BasicScrollBarUI.TrackListener`